Advance enrollment past current stage
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/pipelines/enrollments/{id}/advance/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://assess.praxicraft.com/api/v1/public/pipelines/enrollments/{id}/advance/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://assess.praxicraft.com/api/v1/public/pipelines/enrollments/{id}/advance/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/pipelines/enrollments/{id}/advance/';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/pipelines/enrollments/{id}/advance/"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "e1f2a3b4-c5d6-7890-abcd-ef1234567890",
"pipeline_title": "Senior Data Engineer Hiring",
"pipeline_slug": "senior-de-hiring",
"email": "[email protected]",
"candidate_name": "Ada Lovelace",
"status": "In progress",
"status_code": "in_progress",
"current_stage": 0,
"reject_reason": "",
"history": [
{
"assessment_title": "Senior Backend Engineer Screen",
"status": "pending",
"score": null,
"passed": null,
"completed_at": null
}
],
"enrolled_at": "2026-09-02T12:00:00Z",
"completed_at": null
}Public API — Pipelines
Advance enrollment past current stage
Required scope:
pipelines:write
Manually advance a candidate past the current stage (board override). Same rules as the dashboard. Scope: pipelines:write.
POST
/
api
/
v1
/
public
/
pipelines
/
enrollments
/
{id}
/
advance
/
Advance enrollment past current stage
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/pipelines/enrollments/{id}/advance/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://assess.praxicraft.com/api/v1/public/pipelines/enrollments/{id}/advance/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://assess.praxicraft.com/api/v1/public/pipelines/enrollments/{id}/advance/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/pipelines/enrollments/{id}/advance/';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/pipelines/enrollments/{id}/advance/"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "e1f2a3b4-c5d6-7890-abcd-ef1234567890",
"pipeline_title": "Senior Data Engineer Hiring",
"pipeline_slug": "senior-de-hiring",
"email": "[email protected]",
"candidate_name": "Ada Lovelace",
"status": "In progress",
"status_code": "in_progress",
"current_stage": 0,
"reject_reason": "",
"history": [
{
"assessment_title": "Senior Backend Engineer Screen",
"status": "pending",
"score": null,
"passed": null,
"completed_at": null
}
],
"enrolled_at": "2026-09-02T12:00:00Z",
"completed_at": null
}Authorizations
Response
Last modified on September 5, 2026